View Issue Details

IDProjectCategoryView StatusLast Update
0000989SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.4.0 
Target Version3.4.0Fixed in Version3.4.0 
Summary0000989: Provide a way to blank out the target schema/catalogs in sym_router
DescriptionCurrently, the only way to blank our the schema is via a transformation and a transformation needs to be configured on a case by case basis.

The scenario that I ran into was a sync from sql server to mysql. The source catalog and schema needed to be specified in sql server. Because the schema was being specified the table was not being found in mysql.

TagsNo tags attached.

Activities

chenson

2013-03-19 09:06

administrator   ~0000227

Supporting a token of $(none) in the target schema and target catalog fields of the router

Related Changesets

SymmetricDS: master dfcd7914

2013-03-19 09:08:06

chenson

Details Diff
0000989: Provide a way to blank out the target schema/catalogs in sym_router
0000989
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: master b1c83f3d

2013-03-19 09:16:33

chenson

Details Diff
0000989: Provide a way to blank out the target schema/catalogs in sym_router
0000989
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2013-01-16 19:42 chenson New Issue
2013-03-19 09:06 chenson Product Version => 3.4.0
2013-03-19 09:06 chenson Target Version => 3.4.0
2013-03-19 09:06 chenson Note Added: 0000227
2013-03-19 09:06 chenson Description Updated View Revisions
2013-03-19 09:07 chenson Status new => resolved
2013-03-19 09:07 chenson Fixed in Version => 3.4.0
2013-03-19 09:07 chenson Resolution open => fixed
2013-03-19 09:07 chenson Assigned To => chenson
2013-04-21 10:03 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6980
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6982
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b1c83f3d
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master dfcd7914